<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="ALL" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="411354e4-d3ac-40dc-a86f-7377779927ac" name="更改" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CopilotPersistence">
    <persistenceIdMap>
      <entry key="_D:/Users/Tang/Downloads/triton_docs/triton_docs_tutorials-main" value="3Hqj2WXCZ5DaJktKZ22deSuDmL8" />
    </persistenceIdMap>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
        <option value="Jupyter Notebook" />
      </list>
    </option>
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 6,
  &quot;fromUser&quot;: false
}</component>
  <component name="ProjectId" id="3Hqj2VU7l06kvOuGLXDxtZzJcar" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "ModuleVcsDetector.initialDetectionPerformed": "true",
    "Python.dropout.executor": "Run",
    "Python.flash_attention.executor": "Run",
    "Python.fused_softmax.executor": "Run",
    "Python.layernorm.executor": "Run",
    "Python.matmul.executor": "Run",
    "Python.python flash_attention.executor": "Run",
    "Python.triton_matmul_pid_map.executor": "Run",
    "Python.vector_addition.executor": "Run",
    "Python.visible.executor": "Run",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.typescript.service.memoryLimit.init": "true",
    "codeWithMe.voiceChat.enabledByDefault": "false",
    "copilot.chat.legacySessionMetadata.migrated": "true",
    "last_opened_file_path": "D:/Users/Tang/Downloads/triton_docs/triton_docs_tutorials-main/04_vector_addition/visible",
    "node.js.detected.package.jshint": "true",
    "node.js.selected.package.jshint": "",
    "nodejs_package_manager_path": "npm",
    "settings.editor.selected.configurable": "com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\Users\Tang\Downloads\triton_docs\triton_docs_tutorials-main\04_vector_addition\visible" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="flash_attention" type="PythonConfigurationType" factoryName="Python" nameIsGenerated="true">
      <module name="triton_docs_tutorials-main" />
      <option name="ENV_FILES" value="" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="SDK_NAME" value="D:\home\tang\miniconda3\envs\triton-tutorial\bin\python" />
      <option name="WORKING_DIRECTORY" value="D:\Users\Tang\Downloads\triton_docs\triton_docs_tutorials-main\09_flash_attention" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="DEBUG_JUST_MY_CODE" value="false" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="RUN_TOOL" value="" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/09_flash_attention/flash_attention.py" />
      <option name="PARAMETERS" value="--benchmark" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-js-predefined-d6986cc7102b-4abd2a77f808-JavaScript-PY-262.8665.369" />
        <option value="bundled-python-sdk-6fa658e1df1a-5bd6d13a2a75-com.jetbrains.pycharm.pro.sharedIndexes.bundled-PY-262.8665.369" />
      </set>
    </attachedChunks>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="411354e4-d3ac-40dc-a86f-7377779927ac" name="更改" comment="" />
      <created>1786602285405</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1786602285405</updated>
      <workItem from="1786602286457" duration="881000" />
      <workItem from="1786620819850" duration="7147000" />
      <workItem from="1786630409649" duration="4000" />
      <workItem from="1786630489805" duration="29764000" />
      <workItem from="1786798421467" duration="33197000" />
      <workItem from="1787033262678" duration="24566000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/triton_docs_tutorials_main$triton_matmul_pid_map.coverage" NAME="triton_matmul_pid_map 覆盖结果" MODIFIED="1786954543585" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/triton_docs_tutorials_main$dropout.coverage" NAME="dropout 覆盖结果" MODIFIED="1786957705498" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/07_dropout" />
    <SUITE FILE_PATH="coverage/triton_docs_tutorials_main$visible.coverage" NAME="visible 覆盖结果" MODIFIED="1786624845214" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/04_vector_addition/visible" />
    <SUITE FILE_PATH="coverage/triton_docs_tutorials_main$layernorm.coverage" NAME="layernorm 覆盖结果" MODIFIED="1787033382012" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/08_layernorm" />
    <SUITE FILE_PATH="coverage/triton_docs_tutorials_main$flash_attention.coverage" NAME="flash_attention 覆盖结果" MODIFIED="1787820841992" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/09_flash_attention" />
    <SUITE FILE_PATH="coverage/triton_docs_tutorials_main$matmul.coverage" NAME="matmul 覆盖结果" MODIFIED="1787023117927" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/06_matmul" />
    <SUITE FILE_PATH="coverage/triton_docs_tutorials_main$python_flash_attention.coverage" NAME="flash_attention 覆盖结果" MODIFIED="1787828713422" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="D:\Users\Tang\Downloads\triton_docs\triton_docs_tutorials-main\09_flash_attention" />
    <SUITE FILE_PATH="coverage/triton_docs_tutorials_main$fused_softmax.coverage" NAME="fused_softmax 覆盖结果" MODIFIED="1786957681340" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/05_fused_softmax" />
    <SUITE FILE_PATH="coverage/triton_docs_tutorials_main$vector_addition.coverage" NAME="vector_addition 覆盖结果" MODIFIED="1786957636659" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/04_vector_addition" />
  </component>
</project>